GARBD(8)

NAME
garbd - arbitrator daemon for Galera cluster

SYNOPSIS
garbd [options] [group address]

DESCRIPTION
garbd joins Galera cluster as an additional node for the purpose of establishing quorum in case of network partitioning. It can do so by serving:
    a) as an odd node to prevent split-brains;
    b) as a reference connection point outside a datacenter.
Arbitrator node must see all messages that the other nodes of the cluster see, however it does not process them any further and just discards them. As such it does not store any cluster state and can't be used to bootstrap the cluster, so it only can join existing cluster.

OPTIONS

  Configuration:

-d [ --daemon ]
    Become daemon

-a [ --address ] arg
    Group address in Galera format

-g [ --group ] arg
    Group name

--sst arg
    SST request string that contains SST request to trigger state snapshot dump (state backup) on one of the other nodes. For details refer to Galera documentation at http://www.galeracluster.com

--donor arg
    SST donor name (for state dump)

-o [ --options ] arg
    GCS/GCOMM option list. It is likely to be the same as on other nodes of the cluster.

-l [ --log ] arg
    Path to log file

-c [ --cfg ] arg
    Path to configuration file. Configuration file contains garbd options in the form <option>=<value>, one option per line. Hash symbol starts comments. Example:
    # garbd config file
    daemon=1
    address="gcomm://192.168.90.3:4567"
    group="my_cluster"
    options="gmcast.segment=4;"
    log="/tmp/garb.log"

  Other options:

-v [ --version ]
    Print version

-h [ --help ]
    Show help message

FILES
/etc/default/garb
    The system wide configuration file for system service script on Debian-derived systems.
/etc/sysconfig/garb
    The system wide configuration file for system service script on Red Hat -derived systems.

BUGS
See Galera bug tracker at https://github.com/codership/galera

AUTHOR
Codership Oy <info at codership dot com>